function intensity = single_spot_intensity(intensity_data, distance_to_source, X, Y, center)
    if length(center)==0
        center = [0, 0];
    end
    intensity = sqrt((diag((X-center(1)).^2)*ones(length(X),length(X)))'+(diag((Y-center(2)).^2)*ones(length(Y),length(Y))));
    beamlength_squared = intensity.^2 + distance_to_source^2;
    intensity = atan(intensity/distance_to_source);
    eval(intensity_data);
    for i=1:size(intensity,1)
        intensity(i,:) = interp1(x_int,y_int,intensity(i,:),'cubic')./beamlength_squared(i,:);
    end
