function visualize_lightintensity(X, Y, x_pos, y_pos, distance_to_source, intensity_data)
    intensity = zeros(length(X),length(Y));
    for i=1:length(x_pos)
        intensity=intensity + single_spot_intensity(intensity_data, distance_to_source, X, Y, [x_pos(i),y_pos(i)]);
    end
    contourf(X,Y,intensity,100,'LineStyle','none')
%    hold on
%    plot(x_pos,y_pos,'ko')
%    hold off
    cax = caxis;
    caxis([cax(2)/2 cax(2)])
    title(['distance screen-source =' num2str(distance_to_source)]);
    colormap gray
    colorbar
